# mongodb

Scripts for setting up, configuring, securing, running, and monitoring MongoDB.

Running on Debian-based server.

## Setting up

[installation page of documentation](https://docs.mongodb.com/manual/installation/)

[installation page 2](https://docs.mongodb.com/manual/tutorial/install-mongodb-on-ubuntu/)

```
sudo apt-get remove mongodb mongodb-server
```

```
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 2930ADAE8CAF5059EE73BB4B58712A2291FA4AD5
echo "deb [ arch=amd64,arm64 ] https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.6 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-3.6.list
sudo apt-get update
sudo apt-get install -y mongodb-org
```

## Configuring

configuration covers MongoDB config files,
important options, setting port and address
to bind to.

27017 - default port for mongo

see [config.md](/config.md)

## Security

use a management (virtual) LAN to communicate.
mongodb assumes the network is insecure,
so keep things locked down at the network
level, not at the mongodb level.

see [security.md](security.md)

## Running

mongodb installation instructions tell you how to run it. 
[ubuntu installation instructions: running](https://docs.mongodb.com/manual/tutorial/install-mongodb-on-ubuntu/#run-mongodb-community-edition)

basically, run:

```
sudo service mongod start
```

basic usage includes CRUD operations.

see [running.md](/running.md)

## Monitoring

We refer to monitoring in two senses:
* Monitoring the status of MongoDB using a logging tool
* Using MongoDB to store monitoring data

see [monitoring.md](/monitoring.md)

## Grease the Skids

We want to make it as easy as possible to set up 
monitoring and instrumentation for new stuff.

So, make it easy to monitor new things.
