documentation: [config file options](https://docs.mongodb.com/manual/reference/configuration-options/)

start with a specified config file:

```
mongod --config /etc/mongod.conf
mongod -f /etc/mongod.conf
```

Core mongodb config sections:
* systemLog
* net

## systemLog

```
# default:

systemLog:
  destination: file
  path: /var/log/mongodb/mongod.log
  logAppend: true
```

can also set verbosity (0-5):

```
systemLog:
    destination: file
    path: /var/log/mongodb/mongod.log
    verbosity: 2
    logRotate: rename

```

if using logrotate util, set `logRotate: reopen`

can further customize log behavior for specific components (access, commands, etc.)

## net

```
net:
    port: 27017
    bindIp: 10.0.0.1
    ipv6: True
```

several options for ssl also. 
those go into an ssl section of the config file.






